Subject: Re: bug#34027: 27.0.50; disable-theme resets variables to their initial values

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 05 Sep 2020 13:55:03 +0200

Mauro Aranda <[email-masked]> writes:

> That is controlled by the variable custom--inhibit-theme-enable, and
> we should bind it to nil in enable-theme, because we are definitely
> enabling it.  Once we do that, it is just a matter of using
> custom-push-theme to handle the case like it's supposed to.
>
> My patch does that, and introduces an extra check in custom-push-theme,
> because while testing I found another instance of Bug#28904.  The rest
> this patch does is changing the test because of the comments I made in
> another post to this bug, and we now can expect the test to pass.

Thanks, looks good to me (although I'm not all that familiar with the
custom/theme integration), so I've applied your patch to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no